Subject: Re: [PATCH] gnu: xdg-desktop-portal-gtk: Update to 1.8.0.

From: Andrew Whatson <[email-masked]>
Date: Fri, 13 Aug 2021 20:38:24 +1000

Hi John,

Yes I'm using the default gnome-desktop-service, perhaps your setup is
missing something provided by that.  The only thing I can recommend
(and maybe you're already doing this) is to launch your apps like
this:

  flatpak run --log-session-bus --log-system-bus --log-ally-bus com.foo.barapp

This gives some extra debug information from flatpak and the app,
which might help diagnose the problem.

Good luck!
Andrew

On Fri, 13 Aug 2021 at 05:18, John Kehayias
<[email-masked]> wrote:
>
> Hi Andrew,
>
> ‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
>
> On Thursday, August 12th, 2021 at 6:30 AM, Andrew Whatson wrote:
>
> > Hi John,
> >
> > This package works for me as-is, just installing flatpak,
> >
> > xdg-desktop-portal, xdg-desktop-portal-gtk, and the patched p11-kit
> >
> > from #49957. I think flatpak launches the dbus services on-demand, so
> >
> > no additional setup is needed.
>
> Ah, thanks for that, I was confused over the dbus aspect. You are right, just having them installed lets them get launched by flatpak applications.
>
> > The errors about the missing OpenURI
> >
> > handler are fixed by this update; seeing that a version bump fixed the
> >
> > problem, I haven't investigated further.
> >
>
> Hmm, I didn't notice a change between the versions here. In fact, I am still getting an error that the OpenURI handler is not provided, despite seeing it provided if I launch the portal manually with --verbose. (I didn't try the change to p11-kit as I haven't run into those errors.)
>
> > With these patches I'm successfully running Teams and Discord via
> >
> > flatpak with no problems.
> >
>
> Good to know!
>
> I don't mean to derail the patch discussion, but did finally get the OpenURI handler to work, but in an unexpected way: if I launch xdg-desktop-portal manually and with --replace. Then it works. Perhaps some difference in environment variables or something if it is launched via dbus? The only large factor I can think of is that I'm not in a DE but just a WM (but have e.g. xdg-open working).
>
> Would appreciate any further tips or bits of your setup, but seems like this is on my end and not with the package maybe. Or else needing some configuration when not in Gnome or similar.
>
> Thanks!
> John